package com.sckw.order.serivce;

import com.sckw.order.dao.KwpWantBuyMapper;
import com.sckw.order.model.vo.req.AddWantBuyParam;
import com.sckw.order.model.vo.req.UpdateWantBuyParam;
import com.sckw.order.model.vo.res.WantBuyDetailRes;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @desc: 求购service
 * @author: yzc
 * @date: 2023-06-25 14:54
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class KwpWantBuyService {

    private final KwpWantBuyMapper kwpWantBuyMapper;
    private final KwoWantBuyAddressService kwoWantBuyAddressService;
    private final KwoWantBuyTradingService kwoWantBuyTradingService;


    public void addDraft(AddWantBuyParam param) {

    }

    public void addShelves(AddWantBuyParam param) {

    }

    public WantBuyDetailRes detail(Long id) {
        return null;
    }

    public void update(UpdateWantBuyParam param) {

    }
}
